## org.omg.PortableServer
Class ImplicitActivationPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ImplicitActivationPolicyValueHelper

public class ImplicitActivationPolicyValueHelper
extends java.lang.Object

Helper class for : ImplicitActivationPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`ImplicitActivationPolicyValueHelper()`

Method Summary
`static ImplicitActivationPolicyValue` `extract(Any a)` Extract ImplicitActivationPolicyValue from an any
`static java.lang.String` `id()` Return the ImplicitActivationPolicyValue IDL ID
`static void` `insert(Any a, ImplicitActivationPolicyValue t)` Insert ImplicitActivationPolicyValue into an any
`static ImplicitActivationPolicyValue` `read(InputStream istream)` Read ImplicitActivationPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the ImplicitActivationPolicyValue TypeCode
`static void` `write(OutputStream ostream, ImplicitActivationPolicyValue value)` Write ImplicitActivationPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitActivationPolicyValueHelper

    public ImplicitActivationPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ImplicitActivationPolicyValue t)

  Insert ImplicitActivationPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - ImplicitActivationPolicyValue value

### extract

    public static ImplicitActivationPolicyValue extract(Any a)

  Extract ImplicitActivationPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ImplicitActivationPolicyValue value

### type

    public static TypeCode type()

  Return the ImplicitActivationPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ImplicitActivationPolicyValue IDL ID
  Returns:
    an ID

### read

    public static ImplicitActivationPolicyValue read(InputStream istream)

  Read ImplicitActivationPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ImplicitActivationPolicyValue value

### write

    public static void write(OutputStream ostream,
                             ImplicitActivationPolicyValue value)

  Write ImplicitActivationPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ImplicitActivationPolicyValue value